Apache Tomcat 7.0.42

## org.apache.catalina.authenticator
Class BasicAuthenticator

    java.lang.Object
      org.apache.catalina.util.LifecycleBase
          org.apache.catalina.util.LifecycleMBeanBase
              org.apache.catalina.valves.ValveBase
                  org.apache.catalina.authenticator.AuthenticatorBase
                      org.apache.catalina.authenticator.BasicAuthenticator

All Implemented Interfaces:
  MBeanRegistration, Authenticator, Contained, Lifecycle, Valve

    public class BasicAuthenticator

extends AuthenticatorBase

An Authenticator and Valve implementation of HTTP BASIC Authentication, as outlined in RFC 2617: "HTTP Authentication: Basic and Digest Access Authentication."

Version:
  $Id: BasicAuthenticator.java 1459346 2013-03-21 15:05:54Z markt $
Author:
  Craig R. McClanahan

Field Summary
`protected static String` `info` Descriptive information about this implementation.

Fields inherited from class org.apache.catalina.authenticator.AuthenticatorBase
`alwaysUseSession, AUTH_HEADER_NAME, cache, changeSessionIdOnAuthentication, context, disableProxyCaching, REALM_NAME, securePagesWithPragma, secureRandomAlgorithm, secureRandomClass, secureRandomProvider, sessionIdGenerator, sm, sso`

Fields inherited from class org.apache.catalina.valves.ValveBase
`asyncSupported, container, containerLog, next`

Fields inherited from class org.apache.catalina.util.LifecycleMBeanBase
`mserver`

Fields inherited from interface org.apache.catalina.Lifecycle
`AFTER_DESTROY_EVENT, AFTER_INIT_EVENT, AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_DESTROY_EVENT, BEFORE_INIT_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, CONFIGURE_START_EVENT, CONFIGURE_STOP_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

Constructor Summary
`BasicAuthenticator()`

Method Summary
`boolean` `authenticate(Request request, HttpServletResponse response, LoginConfig config)` Authenticate the user making this request, based on the specified login configuration.
`protected String` `getAuthMethod()`
`String` `getInfo()` Return descriptive information about this Valve implementation.

Methods inherited from class org.apache.catalina.authenticator.AuthenticatorBase

`associate, authenticate, doLogin, getAlwaysUseSession, getCache, getChangeSessionIdOnAuthentication, getContainer, getDisableProxyCaching, getSecurePagesWithPragma, getSecureRandomAlgorithm, getSecureRandomClass, getSecureRandomProvider, invoke, login, logout, reauthenticateFromSSO, register, setAlwaysUseSession, setCache, setChangeSessionIdOnAuthentication, setContainer, setDisableProxyCaching, setSecurePagesWithPragma, setSecureRandomAlgorithm, setSecureRandomClass, setSecureRandomProvider, startInternal, stopInternal`

Methods inherited from class org.apache.catalina.valves.ValveBase
`backgroundProcess, event, getDomainInternal, getNext, getObjectNameKeyProperties, initInternal, isAsyncSupported, setAsyncSupported, setNext, toString`

Methods inherited from class org.apache.catalina.util.LifecycleMBeanBase
`destroyInternal, getDomain, getObjectName, postDeregister, postRegister, preDeregister, preRegister, register, setDomain, unregister`

Methods inherited from class org.apache.catalina.util.LifecycleBase
`addLifecycleListener, destroy, findLifecycleListeners, fireLifecycleEvent, getState, getStateName, init, removeLifecycleListener, setState, setState, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### info

    protected static final String info

  Descriptive information about this implementation.

  See Also:
    Constant Field Values

Constructor Detail

### BasicAuthenticator

    public BasicAuthenticator()

Method Detail

### getInfo

    public String getInfo()

  Return descriptive information about this Valve implementation.

  Specified by:
    `getInfo` in interface `Valve`
  Overrides:
    `getInfo` in class `AuthenticatorBase`

### authenticate

    public boolean authenticate(Request request,
                                HttpServletResponse response,
                                LoginConfig config)
                         throws IOException

  Authenticate the user making this request, based on the specified login configuration. Return `true` if any specified constraint has been satisfied, or `false` if we have created a response challenge already.

  Specified by:
    `authenticate` in interface `Authenticator`
  Specified by:
    `authenticate` in class `AuthenticatorBase`
  Parameters:
    `request` - Request we are processing
    `response` - Response we are creating
    `config` - Login configuration describing how authentication should be performed
  Throws:
    `IOException` - if an input/output error occurs

### getAuthMethod

    protected String getAuthMethod()

  Specified by:
    `getAuthMethod` in class `AuthenticatorBase`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.